
Redmine - Patch #9096

Fix redirection to non-latin wiki pages after logon

2011-08-22 01:06 - Kirill  Smirnov

Status: Closed Start date: 2011-08-22

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version:    

Description

Consider a project having some wiki page with non-latin (russian) characters in URL: 

http://demo.redmine.org/projects/nonlatinwikipages/wiki/тестовая_страница

When non-authenticated user tries to access this page he is asked to complete logon procedure, after that he'll be redirected to

default page ("My page" in my case) instead of wiki page.

This behaviour is caused by a ruby bug #21314: Uri parser not accepting non-Latin characters:

http://rubyforge.org/tracker/index.php?func=detail&aid=21314&group_id=426&atid=1698

Attached patch is mere a workaround for the bug.

History

#1 - 2011-08-24 18:25 - Etienne Massip

- Category set to Wiki

#2 - 2022-08-08 11:52 - Go MAEDA

- Status changed from New to Closed

Cannot reproduce in Redmine 5.0 with Ruby 3.1. Maybe the Ruby bug has already been fixed in recent versions.

Files

uri_parse_workaround.diff 743 Bytes 2011-08-21 Kirill  Smirnov
